--Parsec music 0.2
--Vendetta music replacement by Phil Spencer

local nextsong = Timer()
local systemcheck = 0
local entergame = 0
local undockstart = 0
local music = {
title  = 'playmusic plugins/parsecmusic/parsecmenu.ogg',
system = 'playmusic plugins/parsecmusic/parsecsystem.ogg',
[0]    = {'playmusic plugins/parsecmusic/track2.ogg',233},
[1]    = {'playmusic plugins/parsecmusic/track3.ogg',466},
[2]    = {'playmusic plugins/parsecmusic/track4.ogg',371},
[3]    = {'playmusic plugins/parsecmusic/track5.ogg',452},
[4]    = {'playmusic plugins/parsecmusic/track6.ogg',200},
[5]    = {'playmusic plugins/parsecmusic/track7.ogg',315},
[6]    = {'playmusic plugins/parsecmusic/track8.ogg',328},
[7]    = {'playmusic plugins/parsecmusic/track9.ogg',387},
[8]    = {'playmusic plugins/parsecmusic/track10.ogg',280}
}

function music_title()
   if entergame == 1 then
      entergame = 0
      return
   end
end

function music_entergame()
   entergame = 1
   systemcheck = 0
end


function music_random()
   local song     = math.random(8)
   local duration = music[song][2] * 1000

   if nextsong:IsActive() then
      return
   end
   if systemcheck == 0 then
      gkinterface.GKProcessCommand(music['system'])
      nextsong:SetTimeout(15000,music_random)
      systemcheck = 1
      return
   end
   nextsong:SetTimeout(duration,music_random)
   gkinterface.GKProcessCommand(music[song][1])   
   
end

function music_spawnspace()
   if entergame == 1 then
      gkinterface.GKProcessCommand(music['system'])
      nextsong:SetTimeout(15000,music_random)
      systemcheck = 1
   else
      return
   end
end

RegisterEvent(music_entergame,"PLAYER_ENTERED_GAME")
RegisterEvent(gkinterface.GKProcessCommand(music['title']),"START")
RegisterEvent(music_title,"ENTERED_STATION")
RegisterEvent(music_random,"LEAVING_STATION")
RegisterEvent(music_spawnspace,"HUD_SHOW")
